#
# spec file for package tk707 (Version 0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel autoconf automake tcl tcl-devel texinfo tk xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         tk707
Summary:      Software emulation of Roland's TR-707 drum machine
Version:      0.6
Release:      130
Copyright: GPL
Group: X11/Applications/Sound
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://www.vislab.usyd.edu.au/staff/chris/tk707
Source: tk707-%{version}.tar.bz2
Patch: tk707-configure.dif
Patch1: tk707.dif

%description
TK707 is a software emulation of Roland's TR-707 Rhythm Composer.
It runs on the ALSA sequencer system, so that WaveTable, external
or software-synth MIDI engines are available.

Authors:
--------
    Chris Willing <chris@vislab.usyd.edu.au>
    Pierre Saramito <pierre.saramito@imag.fr>

SuSE series: snd

%prep
%setup
%patch -p1
%patch1

%build
%{?suse_update_config:%{suse_update_config -fl}}
aclocal
automake
autoconf
./configure --prefix=%{_prefix}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install-strip
# normal check for compressed man pages:

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/tk707
%{_datadir}/tk707
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%doc INSTALL.texi tk707.texi gpl.texi version.texi
%doc tk707.html
%doc *.dat

%changelog -n tk707
* Thu Jun 07 2001 - tiwai@suse.de
- fixed to build.
* Thu Apr 19 2001 - uli@suse.de
- fixed to build
* Fri Feb 02 2001 - tiwai@suse.de
- Fixed MIDI port listings.
* Wed Sep 27 2000 - tiwai@suse.de
- Initial version: 0.6
